%global pypi_name Django
%global module_name django
%global commitId 3106e94e52a0a7786d49803c86b3139df113d36d

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{module_name}
Version:       3.2.22
Release:       1%{?dist}
Summary:       A high-level Python web framework that encourages rapid development and clean, pragmatic design

License:       BSD-3-Clause
URL:           https://github.com/django/django
Source0:       python-django-3106e94e52a0a7786d49803c86b3139df113d36d.tar.gz
Patch0:        0001-Fixed-28401-Allow-hashlib.md5-calls-to-work-with-FIP.patch
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%global _description %{expand:
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{module_name}

Summary:       A high-level Python Web framework that encourages rapid development and clean, pragmatic design

Requires:      python%{python3_pkgversion}-asgiref >= 3.3.2
Requires:      python%{python3_pkgversion}-asgiref < 4
Requires:      python%{python3_pkgversion}-pytz
Requires:      python%{python3_pkgversion}-sqlparse >= 0.2.2

Obsoletes:      python3-%{module_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{module_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{module_name}
%{_description}

%prep
%autosetup -p 1 -n python-%{module_name}-%{commitId}
%py3_shebang_fix django/bin/django-admin.py django/conf/project_template/manage.py-tpl

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{module_name}
%license LICENSE LICENSE.python django/contrib/admin/static/admin/css/vendor/select2/LICENSE-SELECT2.md django/contrib/admin/static/admin/img/LICENSE django/contrib/admin/static/admin/js/vendor/jquery/LICENSE.txt django/contrib/admin/static/admin/js/vendor/select2/LICENSE.md django/contrib/admin/static/admin/js/vendor/xregexp/LICENSE.txt django/contrib/gis/gdal/LICENSE django/contrib/gis/geos/LICENSE django/dispatch/license.txt docs/_theme/djangodocs/static/fontawesome/LICENSE.txt
%doc README.rst django/contrib/admin/static/admin/img/README.txt docs/README.rst docs/_theme/djangodocs/static/fontawesome/README.md extras/README.TXT tests/README.rst
%{_bindir}/django-admin
%exclude %{_bindir}/django-admin.py
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Oct 10 2023 Satoe Imaishi <simaishi@redhat.com> - 3.2.22-1
- Update to 3.2.22
- Fix CVE-2023-43665 (Denial-of-service possibility in django.utils.text.Truncator)

* Tue Sep 05 2023 Satoe Imaishi <simaishi@redhat.com> - 3.2.21-1
- Update to 3.2.21
- Fix CVE-2023-41164 (Potential denial of service vulnerability in
  django.utils.encoding.uri_to_iri())

* Mon Jul 31 2023 Satoe Imaishi <simaishi@redhat.com> - 3.2.20-1
- Update to 3.2.20
- Fix CVE-2023-36053 (Potential regular expression denial of service
  vulnerability in EmailValidator/URLValidator)

* Tue Feb 28 2023 Satoe Imaishi <simaishi@redhat.com> - 3.2.18-1
- Update to 3.2.18

* Thu Jan 19 2023 Satoe Imaishi <simaishi@redhat.com> - 3.2.16-1
- Update to 3.2.16

* Wed Oct 26 2022 Satoe Imaishi <simaishi@redhat.com> - 3.2.15-2
- Update to 3.2.15

* Mon Mar 28 2022 Dimitri Savineau <dsavinea@redhat.com> - 3.2.7-1
- Initial package
